<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:26 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio Class Hierarchy (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.nio Class Hierarchy (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/nio/entity/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/nio/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.nio
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/ContentDecoderChannel.html" title="class in org.apache.http.nio"><B>ContentDecoderChannel</B></A> (implements java.nio.channels.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/channels/ReadableByteChannel.html?is-external=true" title="class or interface in java.nio.channels">ReadableByteChannel</A>)
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/ContentEncoderChannel.html" title="class in org.apache.http.nio"><B>ContentEncoderChannel</B></A> (implements java.nio.channels.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/channels/WritableByteChannel.html?is-external=true" title="class or interface in java.nio.channels">WritableByteChannel</A>)
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io"><B>Closeable</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http"><B>HttpConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpConnection.html" title="interface in org.apache.http.nio"><B>NHttpConnection</B></A> (also extends org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><B>NHttpClientConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio"><B>NHttpClientIOTarget</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio"><B>NHttpServerConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio"><B>NHttpServerIOTarget</B></A></UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio"><B>ContentDecoder</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/FileContentDecoder.html" title="interface in org.apache.http.nio"><B>FileContentDecoder</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><B>ContentEncoder</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/FileContentEncoder.html" title="interface in org.apache.http.nio"><B>FileContentEncoder</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><B>IOControl</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpConnection.html" title="interface in org.apache.http.nio"><B>NHttpConnection</B></A> (also extends org.apache.http.<A HREF="../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http">HttpConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><B>NHttpClientConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientIOTarget.html" title="interface in org.apache.http.nio"><B>NHttpClientIOTarget</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio"><B>NHttpServerConnection</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio"><B>NHttpServerIOTarget</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio"><B>NHttpClientEventHandler</B></A><LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio"><B>NHttpClientHandler</B></A><LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpConnectionFactory.html" title="interface in org.apache.http.nio"><B>NHttpConnectionFactory</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio"><B>NHttpMessageParser</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpMessageParserFactory.html" title="interface in org.apache.http.nio"><B>NHttpMessageParserFactory</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio"><B>NHttpMessageWriter</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpMessageWriterFactory.html" title="interface in org.apache.http.nio"><B>NHttpMessageWriterFactory</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio"><B>NHttpServerEventHandler</B></A><LI TYPE="circle">org.apache.http.nio.<A HREF="../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio"><B>NHttpServiceHandler</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/message/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/nio/entity/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/nio/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
